Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 573453004: DevTools: Get rid of frontend_modules.json (Closed)

Created:
6 years, 5 months ago by apavlov
Modified:
6 years, 5 months ago
Reviewers:
sergeyv, pfeldman
CC:
blink-reviews, caseq+blink_chromium.org, loislo+blink_chromium.org, eustas+blink_chromium.org, malch+blink_chromium.org, yurys+blink_chromium.org, lushnikov+blink_chromium.org, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, paulirish+reviews_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, sergeyv+blink_chromium.org, aandrey+blink_chromium.org
Project:
blink
Visibility:
Public.

Description

DevTools: Get rid of frontend_modules.json Instead, the compilation process will rely on module.json files that all modules now have. Additionally, devtools.json lists all modules that comprise the application. R=pfeldman BUG=391566 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=182328

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Total comments: 4

Patch Set 3 : Address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+718 lines, -663 lines) Patch
M LayoutTests/inspector/initial-modules-load-expected.txt View 3 chunks +40 lines, -0 lines 0 comments Download
M LayoutTests/inspector/open-with-rendering-option-enabled-expected.txt View 1 chunk +8 lines, -0 lines 0 comments Download
M Source/devtools/devtools.gypi View 1 chunk +7 lines, -0 lines 0 comments Download
M Source/devtools/front_end/Runtime.js View 1 2 4 chunks +23 lines, -3 lines 0 comments Download
M Source/devtools/front_end/audits/module.json View 1 chunk +3 lines, -0 lines 0 comments Download
A Source/devtools/front_end/bindings/module.json View 1 2 1 chunk +25 lines, -0 lines 0 comments Download
A Source/devtools/front_end/common/module.json View 1 chunk +23 lines, -0 lines 0 comments Download
A Source/devtools/front_end/components/module.json View 1 chunk +33 lines, -0 lines 0 comments Download
M Source/devtools/front_end/console/module.json View 1 chunk +3 lines, -0 lines 0 comments Download
M Source/devtools/front_end/devices/module.json View 1 chunk +4 lines, -0 lines 0 comments Download
A Source/devtools/front_end/devtools.json View 1 chunk +84 lines, -0 lines 0 comments Download
M Source/devtools/front_end/elements/module.json View 1 chunk +3 lines, -0 lines 0 comments Download
M Source/devtools/front_end/extensions/module.json View 1 chunk +6 lines, -1 line 0 comments Download
A Source/devtools/front_end/host/module.json View 1 chunk +10 lines, -0 lines 0 comments Download
M Source/devtools/front_end/main/Main.js View 1 2 2 chunks +4 lines, -3 lines 0 comments Download
M Source/devtools/front_end/main/module.json View 1 chunk +21 lines, -0 lines 0 comments Download
M Source/devtools/front_end/profiler/module.json View 1 chunk +3 lines, -0 lines 0 comments Download
A Source/devtools/front_end/screencast/module.json View 1 chunk +8 lines, -0 lines 0 comments Download
M Source/devtools/front_end/script_formatter_worker/module.json View 1 chunk +8 lines, -0 lines 0 comments Download
A Source/devtools/front_end/sdk/module.json View 1 chunk +52 lines, -0 lines 0 comments Download
M Source/devtools/front_end/settings/module.json View 1 chunk +3 lines, -0 lines 0 comments Download
M Source/devtools/front_end/source_frame/module.json View 2 chunks +23 lines, -0 lines 0 comments Download
M Source/devtools/front_end/sources/module.json View 1 chunk +3 lines, -0 lines 0 comments Download
M Source/devtools/front_end/timeline/module.json View 1 chunk +3 lines, -0 lines 0 comments Download
A Source/devtools/front_end/toolbox/module.json View 1 chunk +12 lines, -0 lines 0 comments Download
A Source/devtools/front_end/ui/module.json View 1 2 1 chunk +47 lines, -0 lines 0 comments Download
A Source/devtools/front_end/workspace/module.json View 1 chunk +13 lines, -0 lines 0 comments Download
M Source/devtools/scripts/compile_frontend.py View 1 2 7 chunks +115 lines, -127 lines 0 comments Download
D Source/devtools/scripts/frontend_modules.json View 1 chunk +0 lines, -529 lines 0 comments Download
A Source/devtools/scripts/modular_build.py View 1 2 1 chunk +131 lines, -0 lines 0 comments Download

Messages

Total messages: 11 (3 generated)
apavlov
6 years, 5 months ago (2014-09-18 17:08:53 UTC) #1
apavlov
https://codereview.chromium.org/573453004/diff/1/Source/devtools/devtools.gypi File Source/devtools/devtools.gypi (right): https://codereview.chromium.org/573453004/diff/1/Source/devtools/devtools.gypi#newcode252 Source/devtools/devtools.gypi:252: 'devtools_module_json_files': [ Remember to add devtools.json here or into ...
6 years, 5 months ago (2014-09-18 17:55:22 UTC) #2
apavlov
https://codereview.chromium.org/573453004/diff/1/Source/devtools/devtools.gypi File Source/devtools/devtools.gypi (right): https://codereview.chromium.org/573453004/diff/1/Source/devtools/devtools.gypi#newcode252 Source/devtools/devtools.gypi:252: 'devtools_module_json_files': [ On 2014/09/18 17:55:22, apavlov wrote: > Remember ...
6 years, 5 months ago (2014-09-19 08:20:42 UTC) #3
apavlov
6 years, 5 months ago (2014-09-19 09:35:14 UTC) #5
pfeldman
lgtm https://codereview.chromium.org/573453004/diff/20001/Source/devtools/front_end/Runtime.js File Source/devtools/front_end/Runtime.js (right): https://codereview.chromium.org/573453004/diff/20001/Source/devtools/front_end/Runtime.js#newcode220 Source/devtools/front_end/Runtime.js:220: Runtime._coreModules = ["common", "host", "sdk", "ui", "components", "workspace", ...
6 years, 5 months ago (2014-09-19 11:35:35 UTC) #6
apavlov
https://codereview.chromium.org/573453004/diff/20001/Source/devtools/front_end/Runtime.js File Source/devtools/front_end/Runtime.js (right): https://codereview.chromium.org/573453004/diff/20001/Source/devtools/front_end/Runtime.js#newcode220 Source/devtools/front_end/Runtime.js:220: Runtime._coreModules = ["common", "host", "sdk", "ui", "components", "workspace", "bindings", ...
6 years, 5 months ago (2014-09-19 13:09:41 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patchset/573453004/60001
6 years, 5 months ago (2014-09-19 13:10:31 UTC) #10
commit-bot: I haz the power
6 years, 5 months ago (2014-09-19 14:15:32 UTC) #11
Message was sent while issue was closed.
Committed patchset #3 (id:60001) as 182328

Powered by Google App Engine
This is Rietveld 408576698